Execute a Job
Use this resource to execute several jobs simultaneously by providing the job name and type. The job is expected to be defined in Planning with all the required parameters saved with the job definition.
This topic describes general information for executing a job. Details for each job type are described in separate topics for individual jobs. For some job types, the parameters can be either provided or overwritten at runtime.
Using this REST API and the other REST APIs in this section requires familiarity with prerequisites, such as understanding how to use jobs. See Prerequisites for more details. Be sure that you understand how to use jobs as described in Managing Jobs. For additional details, see Job Types.
Before using the REST resources, you must understand how to access the REST resources and other important concepts. See Cloud EPM REST APIs Best Practices.
REST Resource
POST /HyperionPlanning/rest/{api_version}/applications/{application}/jobs
Request
Supported Media Types: application/json
Parameters
This table summarizes the request parameters that are generic to all jobs. The following tables describe parameters specific to individual jobs.
Note that all parameter names and values are case sensitive.
Table 3-23 Parameters
| Name | Description | Type | Required | Default |
|---|---|---|---|---|
api_version |
Version of the API you are developing with | Path | Yes | None |
application |
Name of the application for which the job will be executed | Path | Yes | None |
Example URL and Payload
https://<BASE-URL>/HyperionPlanning/rest/v3/applications/PS4app1/jobs
{"jobType":"jobType","jobName":"jobName","parameters":{"parameter1":"value","parameter2":"value2"}}
Response
Supported Media Types: application/json
Parameters
Table 3-24 Parameters
| Name | Description |
|---|---|
status |
Status of the job: -1 = in progress; 0 = success; 1 = error; 2 = cancel pending; 3 = cancelled; 4 = invalid parameter; Integer.MAX_VALUE = unknown |
details |
Details about the job status, such as "Metadata import was successful" for metadata import |
jobID |
The ID of the job, such as 145 |
jobName |
The name of the job, such as Refresh Database. |
descriptiveStatus |
The status of the job, such as Completed or Error |